### Method

# Msg DriveService copy_file

#### Declaration [src]

    gboolean
    msg_drive_service_copy_file (
      MsgDriveService* self,
      MsgDriveItem* file,
      MsgDriveItem* destination,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Copy a file async on remote server to a new directory.

#### Parameters

`file`

  Type: `MsgDriveItem`

  Source `MsgDriveItem`.

  The data is owned by the caller of the method.

`destination`

  Type: `MsgDriveItem`

  Destination directory `MsgDriveItem`.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if accepted, `FALSE` on error.